Skip to main content
GET
List point write fields
A field with metadata.required set to CONDITIONAL applies only when metadata.filter matches the other values you send. For example, value can be required only when priority is override or set.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

datasourceId
string
required

Data source identifier from List building data sources.

deviceId
string
required

Device identifier.

pointId
string
required

Point identifier.

Response

Write fields for the point.

identifier
string

Value to send as actions[].id.

Example:

"priority"

name
string
Example:

"priority"

displayName
string
Example:

"Priority"

dataType
string
Example:

"STRING"

inputType
string
Example:

"DROP_DOWN"

defaultValue
string
Example:

"override"

order
integer
Example:

1

options
object[]

Allowed values. Send the option _id.

metadata
object